# Fetch available status reports for this account

This URL returns a list of available status reports for completed fax
jobs for the current account.

Status reports are available for up to 30 days or until deleted.

IMPORTANT: The results are limited to the oldest 1000 entries. It is recommended to
delete the status reports after fetching them in order to retrieve the
following ones.

Please note: This endpoint should only be used with a datza center specifc URL. This endpoint would return "inconsistent" results depending on the data center the request is processed by.

Endpoint: GET /{custNr}/fax/reports
Version: v1
Security: httpBasicAuth

## Path parameters:

  - `custNr` (string, required)
    Customer Number

## Response 200 fields (application/json):

  - `reports` (array, required)
    Example: [{"jobId":"FJJ5Y09UM505ZZBIELCRYC","recipientStatus":[{"number":"+498912345678900","properties":null,"status":"OK","reason":"OK","sentTs":"2017-08-04T15:09:10Z","durationInSecs":19,"sentToNumber":"00498912345678900","remoteCsid":"+49/89/1234567-8900"}],"pages":1,"reference":{"customerDefinedId":"2017-08-04T15:09:10Z_customerDefinedId","billingCode":"2017-08-04T15:09:10Z_billingCode","billingInfo":"2017-08-04T15:09:10Z_billingInfo"}},{"jobId":"FJJ5WA23UO05ZZBIEL0JY5","recipientStatus":[{"number":"+498912345678901","properties":null,"status":"OK","reason":"OK","sentTs":"2017-08-03T10:07:31Z","durationInSecs":21,"sentToNumber":"00498912345678901","remoteCsid":"Retarus Faxolution"}],"pages":2,"reference":{"customerDefinedId":"2017-08-03T10:07:31Z_customerDefinedId","billingCode":"2017-08-03T10:07:31Z_billingCode","billingInfo":"2017-08-03T10:07:31Z_billingInfo"}}]

  - `reports.jobId` (string, required)
    The Job ID.
    Example: "FJJ66GHGX105ZZBIELVCN1"

  - `reports.recipientStatus` (array, required)
    Example: [{"number":"+49 89 1234567-8900","properties":null,"status":"OK","reason":"OK","sentTs":"2017-08-10T13:05:09Z","durationInSecs":19,"sentToNumber":"00498912345678900","remoteCsid":"+49/89/1234567-8900"}]

  - `reports.recipientStatus.number` (string, required)
    The fax recipient's primary number (international format, e.g., +49891234678).

  - `reports.recipientStatus.properties` (array,null)
    Personalized data used for the cover page.

  - `reports.recipientStatus.properties.key` (string, required)
    Name of the key.
    Example: "key123"

  - `reports.recipientStatus.properties.value` (string, required)
    The value assigned to the key.
    Example: "value123"

  - `reports.recipientStatus.status` (string, required)
    Job status. See TBD for more information

  - `reports.recipientStatus.reason` (string, required)
    Explanation of the status.

  - `reports.recipientStatus.sentTs` (string)
    Timestamp which indicates when the fax was sent (in ISO 8601 format).

  - `reports.recipientStatus.durationInSecs` (integer, required)
    Duration of the fax transmission until received by the fax recipient.

  - `reports.recipientStatus.sentToNumber` (string)
    Number to which the fax was sent.

  - `reports.recipientStatus.remoteCsid` (string)
    Fax ID which identifies the fax recipient.

  - `reports.pages` (integer, required)
    Number of pages in the fax.
    Example: 1

  - `reports.reference` (object)

  - `reports.reference.customerDefinedId` (string)
    Freely-defined ID string (max. 256 characters).
    Example: "2022-04-7T11:04:37.057Z_customerDefinedId"

  - `reports.reference.billingCode` (string)
    Information on the cost center; format is arbitrary (max. 80 characters).
    Example: "2022-04-7T11:04:37.057Z_billingCode"

  - `reports.reference.billingInfo` (string)
    Additional data for internal customer accounting (max. 80 characters).
    Example: "2022-04-7T11:04:37.057Z_billingInfo"


